%define upstream_name    PPIx-Regexp
%define upstream_version 0.048

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Represent an independent subexpression marker
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/PPIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(PPI::Document) >= 1.117.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
The purpose of the _PPIx-Regexp_ package is to parse regular expressions in
a manner similar to the way the PPI package parses Perl. This class forms
the root of the parse tree, playing a role similar to PPI::Document.

This package shares with PPI the property of being round-trip safe. That
is,

 my $expr = 's/ ( \d+ ) ( \D+ ) /$2$1/smxg';
 my $re = PPIx::Regexp->new( $expr );
 print $re->content() eq $expr ? "yes\n" : "no\n"

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSES META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.48.0-2.mga6
+ Revision: 1032687
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 0.48.0-1.mga6
+ Revision: 989838
- update to 0.048

* Wed Feb 10 2016 shlomif <shlomif> 0.47.0-1.mga6
+ Revision: 953365
- update to 0.047

* Sat Jan 16 2016 shlomif <shlomif> 0.46.0-1.mga6
+ Revision: 923847
- update to 0.046

* Wed Oct 14 2015 sander85 <sander85> 0.42.0-1.mga6
+ Revision: 891522
- update to 0.042

* Mon Jul 06 2015 sander85 <sander85> 0.41.0-1.mga6
+ Revision: 852000
- update to 0.041

* Wed Oct 15 2014 umeabot <umeabot> 0.36.0-3.mga5
+ Revision: 744279
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.36.0-2.mga5
+ Revision: 685846
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.36.0-1.mga5
+ Revision: 588551
- update to 0.036

* Sat Oct 19 2013 umeabot <umeabot> 0.34.0-2.mga4
+ Revision: 527191
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.34.0-1.mga4
+ Revision: 439718
- update to 0.034

* Sun Jan 13 2013 umeabot <umeabot> 0.28.0-2.mga3
+ Revision: 371335
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 09 2012 jquelin <jquelin> 0.28.0-1.mga3
+ Revision: 258872
- update to 0.028

* Tue Jun 05 2012 jquelin <jquelin> 0.27.0-1.mga3
+ Revision: 255285
- update to 0.027

* Tue Mar 06 2012 jquelin <jquelin> 0.26.0-1.mga2
+ Revision: 219983
- update to 0.026

* Thu Jan 05 2012 jquelin <jquelin> 0.25.0-1.mga2
+ Revision: 191260
- update to 0.025

* Mon Dec 19 2011 jquelin <jquelin> 0.24.0-1.mga2
+ Revision: 184210
- update to 0.024

* Thu Dec 08 2011 kharec <kharec> 0.23.0-1.mga2
+ Revision: 179250
- update to 0.023

  + jquelin <jquelin>
    - update to 0.021

* Sun Apr 03 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 80130
- update to 0.020

* Wed Mar 09 2011 jquelin <jquelin> 0.19.0-1.mga1
+ Revision: 67023
- update to 0.019

* Tue Feb 22 2011 jquelin <jquelin> 0.18.0-1.mga1
+ Revision: 56727
- update to 0.018

* Wed Feb 16 2011 jquelin <jquelin> 0.17.0-1.mga1
+ Revision: 52635
- update to 0.017

* Sun Jan 23 2011 jquelin <jquelin> 0.16.0-1.mga1
+ Revision: 34113
- mageia rebuild
- imported package perl-PPIx-Regexp

